Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OS_QoS.h File Reference

Contains OS specific data structures for QoS networking. More...

`#include "ace/ACE_export.h"`
`#include "ace/os_include/sys/os_uio.h"`
`#include "ace/OS_NS_stropts.h"`

Include dependency graph for OS_QoS.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Flow_Spec
| Wrapper class that defines the flow spec QoS information, which is used by IntServ (RSVP) and DiffServ. More...
class | ACE_QoS
| Wrapper class that holds the sender and receiver flow spec information, which is used by IntServ (RSVP) and DiffServ. More...
class | ACE_QoS_Params
| Wrapper class that simplifies the information passed to the QoS enabled <ACE_OS::connect> and <ACE_OS::join_leaf> methods. More...
class | ACE_Accept_QoS_Params
| Wrapper class that simplifies the information passed to the QoS enabled <ACE_OS::accept> method. More...
## Defines
#define | ACE_OVERLAPPED_SOCKET_FLAG 0
#define | ACE_XP1_QOS_SUPPORTED 0x00002000
#define | ACE_XP1_SUPPORT_MULTIPOINT 0x00000400
#define | ACE_BASEERR 10000
#define | ACE_ENOBUFS (ACE_BASEERR+55)
#define | ACE_FROM_PROTOCOL_INFO (-1)
#define | ACE_FLAG_MULTIPOINT_C_ROOT 0x02
#define | ACE_FLAG_MULTIPOINT_C_LEAF 0x04
#define | ACE_FLAG_MULTIPOINT_D_ROOT 0x08
#define | ACE_FLAG_MULTIPOINT_D_LEAF 0x10
#define | ACE_QOS_NOT_SPECIFIED 0xFFFFFFFF
#define | ACE_SERVICETYPE_NOTRAFFIC 0x00000000
#define | ACE_SERVICETYPE_CONTROLLEDLOAD 0x00000001
#define | ACE_SERVICETYPE_GUARANTEED 0x00000003
#define | ACE_JL_SENDER_ONLY 0x01
#define | ACE_JL_BOTH 0x04
#define | ACE_SIO_GET_QOS (0x40000000 | 0x08000000 | 7)
#define | ACE_SIO_MULTIPOINT_LOOPBACK (0x08000000 | 9)
#define | ACE_SIO_MULTICAST_SCOPE (0x08000000 | 10)
#define | ACE_SIO_SET_QOS (0x08000000 | 11)
## Typedefs
typedef int(* | ACE_QOS_CONDITION_FUNC )(iovec *caller_id, iovec *caller_data, ACE_QoS *socket_qos, ACE_QoS *group_socket_qos, iovec *callee_id, iovec *callee_data, ACE_SOCK_GROUP *g, unsigned long callbackdata)
## Variables
ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef unsigned long | ACE_SERVICE_TYPE

## Detailed Description

Contains OS specific data structures for QoS networking.

Id
  OS_QoS.h,v 4.7 2005/10/28 16:14:54 ossama Exp

Author:
  Craig Rodrigues <crodrigu@bbn.com>

## Define Documentation

#define ACE_BASEERR 10000

#define ACE_ENOBUFS (ACE_BASEERR+55)

#define ACE_FLAG_MULTIPOINT_C_LEAF 0x04

#define ACE_FLAG_MULTIPOINT_C_ROOT 0x02

#define ACE_FLAG_MULTIPOINT_D_LEAF 0x10

#define ACE_FLAG_MULTIPOINT_D_ROOT 0x08

#define ACE_FROM_PROTOCOL_INFO (-1)

#define ACE_JL_BOTH 0x04

#define ACE_JL_SENDER_ONLY 0x01

#define ACE_OVERLAPPED_SOCKET_FLAG 0

#define ACE_QOS_NOT_SPECIFIED 0xFFFFFFFF

#define ACE_SERVICETYPE_CONTROLLEDLOAD 0x00000001

#define ACE_SERVICETYPE_GUARANTEED 0x00000003

#define ACE_SERVICETYPE_NOTRAFFIC 0x00000000

#define ACE_SIO_GET_QOS (0x40000000 | 0x08000000 | 7)

#define ACE_SIO_MULTICAST_SCOPE (0x08000000 | 10)

#define ACE_SIO_MULTIPOINT_LOOPBACK (0x08000000 | 9)

#define ACE_SIO_SET_QOS (0x08000000 | 11)

#define ACE_XP1_QOS_SUPPORTED 0x00002000

#define ACE_XP1_SUPPORT_MULTIPOINT 0x00000400

## Typedef Documentation

typedef int(* ACE_QOS_CONDITION_FUNC)(iovec *caller_id, iovec *caller_data, ACE_QoS *socket_qos, ACE_QoS *group_socket_qos, iovec *callee_id, iovec *callee_data, ACE_SOCK_GROUP *g, unsigned long callbackdata)

## Variable Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef unsigned long ACE_SERVICE_TYPE